package net.marokun.koya.Janken.views;

import net.marokun.koya.Janken.Activator;
import org.eclipse.jface.resource.ImageRegistry;
import org.eclipse.jface.viewers.*;
import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.*;
import org.eclipse.ui.part.*;

public class JankenView extends ViewPart {
	class ViewLabelProvider extends LabelProvider implements ITableLabelProvider {
		public String getColumnText(Object obj, int index) {
			return getText(obj);
		}
		public Image getColumnImage(Object obj, int index) {
			return getImage(obj);
		}
		public Image getImage(Object obj) {
			return PlatformUI.getWorkbench().
					getSharedImages().getImage(ISharedImages.IMG_OBJ_ELEMENT);
		}
	}

	public JankenView() {
	}

	/**
	 * メインみたいなところ
	 */
	public void createPartControl(Composite parent) {
		ImageRegistry registry = Activator.getDefault().getImageRegistry();

		GridLayout layout = new GridLayout(1,true);
		layout.numColumns = 3;					// ３列に設定
		layout.marginWidth = 10;
		layout.marginHeight = 5;
		layout.horizontalSpacing = 5;
		layout.verticalSpacing = 2;
		layout.makeColumnsEqualWidth = true;
		parent.setLayout(layout);
		GridData gridData;

		// Goo
		Button goo = new Button(parent,SWT.NULL);
		Image imggoo = registry.getDescriptor(Activator.IMG_GOO).createImage();
		goo.setImage(imggoo);
		gridData = new GridData();
		gridData.minimumWidth = 65;
		gridData.minimumHeight = 65;
		goo.setLayoutData(gridData);
		goo.addSelectionListener(new Judge(new Hand(0)));
		// Chi
		Button chi = new Button(parent,SWT.NULL);
		Image imgchi = registry.getDescriptor(Activator.IMG_CHI).createImage();
		chi.setImage(imgchi);
		gridData = new GridData();
		gridData.minimumWidth = 65;
		gridData.minimumHeight = 65;
		chi.setLayoutData(gridData);
		chi.addSelectionListener(new Judge(new Hand(1)));
		// Par
		Button par = new Button(parent,SWT.NULL);
		Image imgpar = registry.getDescriptor(Activator.IMG_PAR).createImage();
		par.setImage(imgpar);
		gridData = new GridData();
		gridData.minimumWidth = 65;
		gridData.minimumHeight = 65;
		par.setLayoutData(gridData);
		par.addSelectionListener(new Judge(new Hand(2)));
	}
	
	public void setFocus() {
	}
}
